import os

config.load_autoconfig(False)
# actions
config.set('tabs.tabs_are_windows', True)
config.set('tabs.show', 'never')
for mode in ['normal','insert','hint','passthrough','command','prompt','yesno','register']:
  config.bind('<Cut>', 'fake-key -g <Ctrl-x>', mode)
  config.bind('<Copy>', 'fake-key -g <Ctrl-c>', mode)
  config.bind('<Paste>', 'fake-key -g <Ctrl-v>', mode)
# styles
config.set('colors.webpage.preferred_color_scheme','dark')
config.set('colors.webpage.darkmode.enabled', True)
config.set('colors.webpage.bg','#'+os.environ['QB_THEME_COLOR_BG'])
config.set('fonts.default_family','Roboto')
# engines
config.set('url.searchengines', {
	'DEFAULT':	'https://lite.duckduckgo.com/lite?&q={}',
	'!d':		'https://lite.duckduckgo.com/lite?&q={}',
	'!g':		'https://google.com/search?hl=en&q={}',
	'!y':		'https://ya.ru/search/?text={}',
	'!c':		'https://chat.openai.com/chat?q={}',
})
config.set('url.default_page', 'file:///home/'+os.environ['USER']+'/.local/share/qutebrowser/start.html')
config.set('url.start_pages', ['file:///home/'+os.environ['USER']+'/.local/share/qutebrowser/start.html'])
